Summary:	Pixel manipulation library - cross MinGW32
Summary(pl.UTF-8):	Biblioteka operacji na pikselach - wersja skrośna MinGW32
Name:		crossmingw32-pixman
Version:	0.32.4
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://xorg.freedesktop.org/archive/individual/lib/pixman-%{version}.tar.bz2
# Source0-md5:	cdb566504fe9daf6728c7b03cc7ea228
URL:		http://pixman.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
pixman is a pixel manipulation library.

This package contains the cross version for Win32.

%description -l pl.UTF-8
pixman to biblioteka do operacji na pikselach.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static pixman library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka pixman (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static pixman library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka pixman (wersja skrośna MinGW32).

%package dll
Summary:	DLL pixman library for Windows
Summary(pl.UTF-8):	Biblioteka DLL pixman dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
DLL pixman library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL pixman dla Windows.

%prep
%setup -q -n pixman-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-gtk \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

sed -i -e 's#<pixman-version.h>#<pixman-1/pixman-version.h>#g' $RPM_BUILD_ROOT%{_includedir}/pixman-1/pixman.h

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README
%{_libdir}/libpixman-1.dll.a
%{_libdir}/libpixman-1.la
%{_includedir}/pixman-1
%{_pkgconfigdir}/pixman-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpixman-1.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libpixman-1-*.dll
%changelog
* Mon Nov 18 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-pixman.git;a=log;h=master

* Mon Nov 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 5b4b9e9
- updated to 0.32.4

* Tue Nov 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 150cbb6
- updated to 0.32.2

* Mon Nov 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 6afa1ee
- updated to 0.32.0

* Sun Aug 18 2013 Jakub Bogusz <qboosh@pld-linux.org> ed1cc83
- updated to 0.30.2

* Thu May 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 5319b18
- updated to 0.30.0

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 4203a4b
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> b7d9e3a
- automake fix

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> c8b13a3
- do not provide pkgconfig deps in system namespace

* Mon Dec 10 2012 Jakub Bogusz <qboosh@pld-linux.org> c923d11
- updated to 0.28.2

* Thu Nov 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 7d4f9a9
- updated to 0.28.0

* Fri Sep 28 2012 Jakub Bogusz <qboosh@pld-linux.org> ad0a31e
- added filterout_c

* Fri Jun 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 4e62558
- updated to 0.26.2

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> a972b2d
- updated to 0.26.0

* Thu Feb 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 8d7f110
- updated to 0.24.4

* Fri Jan 20 2012 Jakub Bogusz <qboosh@pld-linux.org> f375829
- updated to 0.24.2

* Mon Nov 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 56c0df6
- updated to 0.24.0

* Tue Jul 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 7cf8264
- updated to 0.22.2

* Mon May 02 2011 Jakub Bogusz <qboosh@pld-linux.org> dd6b185
- updated to 0.22.0

* Wed Jan 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 51785d9
- updated to 0.20.2

* Thu Oct 28 2010 Jakub Bogusz <qboosh@pld-linux.org> f33c346
- updated to 0.20.0
- removed obsolete patches; TLS seems supported on MinGW32 now

